For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • POSTIngest Content
      • GETList Ingested Documents
      • POSTDelete Ingested Document
      • POSTRetrieve Full Document Content
      • POSTRetrieve Full Document Content in Chunks
LogoLogo
Contact usJoin the Discord
API ReferenceArtifacts

Delete Ingested Document

POST
https://host.com/v1/artifacts/delete
POST
/v1/artifacts/delete
$curl -X POST https://host.com/v1/artifacts/delete \
> -H "Content-Type: application/json" \
> -d '{
> "collection": "financial_reports",
> "artifact": "q2_2023_report"
>}'
Remove a specific document and all its associated data from the system
Was this page helpful?
Previous

Retrieve Full Document Content

Next
Built with

Request

This endpoint expects an object.
collectionstringRequired=1 character
Name of the collection containing the document to be deleted
artifactstringRequired=1 character
Unique identifier of the document to delete from the specified collection

Errors

401
Unauthorized
422
Unprocessable Entity